## pairtools 0.3.0

=== Makefile ===
.PHONY: init install clean-pyc clean-build build test publish docs-init docs

init:
	conda install --file requirements.txt

install:
	pip install -e .

test:
	nosetests

clean-pyc:
	find . -name '*.pyc' -exec rm --force {} +
	find . -name '*.pyo' -exec rm --force {} +
	find . -name '*~' -exec rm --force  {} +

clean-build:
	rm -rf build/
	rm -rf dist/

clean: clean-pyc clean-build

build: clean-build
	python setup.py sdist
	# python setup.py bdist_wheel

publish: build
	twine upload dist/*

publish-test:
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

#docs-init:
#	conda install --file docs/requirements.txt
#
#docs:
#	cd docs && python make_cli_rst.py && make html

=== requirements.txt ===
cython
numpy>=1.10
nose>=1.3
click>=6.6

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pairtools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pairtools.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pairtools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pairtools"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
pairtools (0.3.0-3.2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:49:18 +0000

pairtools (0.3.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_numpy3, to generate the correct dependencies.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Nov 2021 16:26:45 -0400

pairtools (0.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support Python 3.10. (Closes: #1000337)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Nov 2021 16:13:08 -0400

pairtools (0.3.0-3) unstable; urgency=medium

  * Team upload.
  * Drop debug package
    Closes: #994318
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + python3-pairtools-examples: Add Multi-Arch: same.
  * Install usr/bin/pairtools and mark other files not-installed

 -- Andreas Tille <tille@debian.org>  Wed, 22 Sep 2021 15:50:11 +0200

pairtools (0.3.0-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2020 15:46:38 +0200

pairtools (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #963052)

 -- Antoni Villalonga <antoni@friki.cat>  Thu, 18 Jun 2020 12:19:04 +0200

=== debian/control ===
Source: pairtools
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Antoni Villalonga <antoni@friki.cat>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               cython3,
               python3-setuptools,
               python3-click,
               python3-numpy,
               python3-sphinx-click,
Standards-Version: 4.6.0
Homepage: https://github.com/mirnylab/pairtools
Vcs-Browser: https://salsa.debian.org/med-team/pairtools
Vcs-Git: https://salsa.debian.org/med-team/pairtools.git
Rules-Requires-Root: no

Package: python3-pairtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
Description: Framework to process sequencing data from a Hi-C experiment
 Simple and fast command-line framework to process sequencing data from a Hi-C
 experiment.
 .
 Process pair-end sequence alignments and perform the following operations:
 .
   - Detect ligation junctions (a.k.a. Hi-C pairs) in aligned paired-end
     sequences of Hi-C DNA molecules
   - Sort .pairs files for downstream analyses
   - Detect, tag and remove PCR/optical duplicates
   - Generate extensive statistics of Hi-C datasets
   - Select Hi-C pairs given flexibly defined criteria
   - Restore .sam alignments from Hi-C pairs

Package: python3-pairtools-examples
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Enhances: python3-pairtools
Multi-Arch: same
Description: Process sequencing data from a Hi-C experiment (examples)
 Simple and fast command-line framework to process sequencing data from a Hi-C
 experiment.
 .
 Process pair-end sequence alignments and perform the following operations:
 .
   - Detect ligation junctions (a.k.a. Hi-C pairs) in aligned paired-end
     sequences of Hi-C DNA molecules
   - Sort .pairs files for downstream analyses
   - Detect, tag and remove PCR/optical duplicates
   - Generate extensive statistics of Hi-C datasets
   - Select Hi-C pairs given flexibly defined criteria
   - Restore .sam alignments from Hi-C pairs
 .
 This package contains some examples

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export PYBUILD_DESTDIR_python3=debian/python3-pairtools/

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	find . -name "_*.c" -delete

override_dh_auto_install:
	cd doc && make man
	dh_auto_install

=== debian/tests/control ===
Tests: upstream-tests
Depends: python3-pairtools
Restrictions: allow-stderr, breaks-testbed

## pairtools 1.0.2

=== debian/changelog ===
pairtools (1.0.2-2) unstable; urgency=medium

  * Team Upload.
  * Add B+R on "python3-pairtools (<< 1.0.2)" (Closes: #1027701)
  * B-D on python3-exceptiongroup at least temporarily to fix FTBFS

 -- Nilesh Patra <nilesh@debian.org>  Tue, 03 Jan 2023 00:30:28 +0530

pairtools (1.0.2-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Add patch to fix FTBFS with numpy 1.24 (Closes: #1027232)
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * New upstream version 1.0.2
  * Add patch for missing bam_dup1 declaration (Closes: #1027335)
  * Versioned Build dep against pysam
  * Build depend on python3-bioframe
  * Skip building docs, as manpages are not rendered the same
    way anymore
  * Get rid of B-D on sphinx-click
  * Move doc/examples/* installation to dedicated examples package
  * Add patch to not run coverage tests. It makes no sense to
    run them downstream.
  * Add patch to take python3 interpreter as different during
    testing, if CURPY var is set at runtime; helps run build time
    tests for all supported pyvers

  [ Andreas Tille]
  * Fix clean target
  * Build-Depends: python3-pandas, python3-pysam, python3-scipy, libhts-dev,
                   python3-yaml <!nocheck>

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 Jan 2023 17:51:23 +0530

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,17 @@
                python3-all-dev,
                cython3,
                python3-setuptools,
+               python3-bioframe,
                python3-click,
+               python3-exceptiongroup,
                python3-numpy,
-               python3-sphinx-click,
-Standards-Version: 4.6.0
+               python3-pandas,
+               python3-pysam (>= 0.20.0+ds-3~),
+               python3-pytest <!nocheck>,
+               python3-scipy,
+               libhts-dev,
+               python3-yaml <!nocheck>
+Standards-Version: 4.6.2
 Homepage: https://github.com/mirnylab/pairtools
 Vcs-Browser: https://salsa.debian.org/med-team/pairtools
 Vcs-Git: https://salsa.debian.org/med-team/pairtools.git
@@ -21,7 +28,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
+Suggests: python3-pairtools-examples (>= 1.0.2)
 Description: Framework to process sequencing data from a Hi-C experiment
  Simple and fast command-line framework to process sequencing data from a Hi-C
  experiment.
@@ -41,6 +49,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Enhances: python3-pairtools
+Breaks: python3-pairtools (<< 1.0.2)
+Replaces: python3-pairtools (<< 1.0.2)
 Multi-Arch: same
 Description: Process sequencing data from a Hi-C experiment (examples)
  Simple and fast command-line framework to process sequencing data from a Hi-C

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,11 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	find . -name "_*.c" -delete
+	rm -f pairtools/lib/*.c pairtools/lib/regions.cpp
 
-override_dh_auto_install:
-	cd doc && make man
-	dh_auto_install
+override_dh_auto_test:
+	dh_auto_test -- --system=custom --test-args="export CURPY={interpreter}; \
+	cd {build_dir} && {interpreter} -m pytest -v"
+
+execute_after_dh_auto_install:
+	find debian/ -name '*.stats' -delete

=== debian/tests/control ===
Tests: upstream-tests
Depends: python3-pairtools, python3-pytest
Restrictions: allow-stderr

## pairtools 1.0.3

=== requirements.txt ===
cython
numpy>=1.10
click>=6.6
scipy>=1.7.0
pandas>=1.3.4
pysam>=0.15.0
pyyaml
bioframe>=0.3.3

=== debian/changelog ===
pairtools (1.0.3-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:37:23 +0000

pairtools (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * No runtime dependency from cython
    Closes: #1057997

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 15:32:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Antoni Villalonga <antoni@friki.cat>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                cython3,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_DESTDIR_python3=debian/python3-pairtools/
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
+	dh $@ --with numpy3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

## pairtools 1.1.0

=== debian/changelog ===
pairtools (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0
  * Vendor "the" pipes module that was removed from Python3.13
    (Closes: #1081672)
  * Patch-out SyntaxWarnings (Closes: #1085765 )

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Nov 2024 22:23:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-sequence-python3,
                python3-all-dev,
                cython3,
+               python-is-python3,
                python3-setuptools,
                python3-bioframe,
                python3-click,

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export PYBUILD_DESTDIR=debian/python3-pairtools/

%:
	dh $@ --with numpy3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f pairtools/lib/*.c pairtools/lib/regions.cpp

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="export CURPY={interpreter}; \
	cd {build_dir} && {interpreter} -m pytest -v -k 'not test_dedup'"

execute_after_dh_auto_install:
	find debian/ -name '*.stats' -delete

## pairtools 1.1.2

=== debian/changelog ===
pairtools (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.2
  * Use external "pipes" module from python3-standard-pipes
  * Upstream switched to pybuild-plugin-pyproject

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Dec 2024 21:36:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all-dev,
+               pybuild-plugin-pyproject,
                cython3,
                python-is-python3,
                python3-setuptools,
@@ -16,6 +17,7 @@
                python3-pandas,
                python3-pysam (>= 0.20.0+ds-3~),
                python3-pytest <!nocheck>,
+               python3-standard-pipes,
                python3-scipy,
                libhts-dev,
                python3-yaml <!nocheck>
@@ -27,9 +29,11 @@
 
 Package: python3-pairtools
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends}
+Depends: 
+ python3-standard-pipes,
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${python3:Depends},
 Suggests: python3-pairtools-examples (>= 1.0.2)
 Description: Framework to process sequencing data from a Hi-C experiment
  Simple and fast command-line framework to process sequencing data from a Hi-C

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export PYBUILD_DESTDIR=debian/python3-pairtools/

%:
	dh $@ --with numpy3 --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -f pairtools/lib/*.c pairtools/lib/regions.cpp

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="export CURPY={interpreter}; \
	cd {build_dir} && {interpreter} -m pytest -v -k 'not test_dedup and not test_mock_pysam_parse2_single_end'"

execute_after_dh_auto_install:
	find debian/ -name '*.stats' -delete

## pairtools 1.1.3

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@cd ..; python setup.py build_ext --inplace; cd docs
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pairtools (1.1.3-2) unstable; urgency=medium

  * Team upload
  * Remove temporary dependency on python3-exceptiongroup

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Aug 2025 16:18:50 +0200

pairtools (1.1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Call dh_numpy3
  * Restrict architectures to 64 bit by Build-Depending architecture-is-64-bit
    Closes: #1094701

 -- Andreas Tille <tille@debian.org>  Sat, 15 Feb 2025 19:34:41 +0100

=== debian/control ===
Source: pairtools
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Antoni Villalonga <antoni@friki.cat>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 architecture-is-64-bit,
 cython3,
 libhts-dev,
 pybuild-plugin-pyproject,
 python-is-python3,
 python3-all-dev,
 python3-bioframe,
 python3-click,
 python3-numpy,
 python3-pandas,
 python3-pysam (>= 0.20.0+ds-3~),
 python3-pytest <!nocheck>,
 python3-scipy,
 python3-setuptools,
 python3-standard-pipes,
 python3-yaml <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/mirnylab/pairtools
Vcs-Browser: https://salsa.debian.org/med-team/pairtools
Vcs-Git: https://salsa.debian.org/med-team/pairtools.git
Rules-Requires-Root: no
X-Style: black

Package: python3-pairtools
Architecture: any
Depends:
 python3-standard-pipes,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python3-pairtools-examples (>= 1.0.2),
Description: Framework to process sequencing data from a Hi-C experiment
 Simple and fast command-line framework to process sequencing data from a Hi-C
 experiment.
 .
 Process pair-end sequence alignments and perform the following operations:
 .
   - Detect ligation junctions (a.k.a. Hi-C pairs) in aligned paired-end
     sequences of Hi-C DNA molecules
   - Sort .pairs files for downstream analyses
   - Detect, tag and remove PCR/optical duplicates
   - Generate extensive statistics of Hi-C datasets
   - Select Hi-C pairs given flexibly defined criteria
   - Restore .sam alignments from Hi-C pairs

Package: python3-pairtools-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 python3-pairtools,
Breaks:
 python3-pairtools (<< 1.0.2),
Replaces:
 python3-pairtools (<< 1.0.2),
Multi-Arch: same
Description: Process sequencing data from a Hi-C experiment (examples)
 Simple and fast command-line framework to process sequencing data from a Hi-C
 experiment.
 .
 Process pair-end sequence alignments and perform the following operations:
 .
   - Detect ligation junctions (a.k.a. Hi-C pairs) in aligned paired-end
     sequences of Hi-C DNA molecules
   - Sort .pairs files for downstream analyses
   - Detect, tag and remove PCR/optical duplicates
   - Generate extensive statistics of Hi-C datasets
   - Select Hi-C pairs given flexibly defined criteria
   - Restore .sam alignments from Hi-C pairs
 .
 This package contains some examples

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 python-is-python3,
 python3-pairtools,
 python3-pytest,
Restrictions:
 allow-stderr,
